Rated 5 out of 5 stars

Firefox must include this extension by default.

This review is for a previous version of the add-on (1.4.18.1-signed).